import type { Json, JsonType } from "@hyperjump/json-schema-core";


export type Draft201909Schema = boolean | {
  $schema?: "https://json-schema.org/draft/2019-09/schema";
  $id?: string;
  $anchor?: string;
  $ref?: string;
  $recursiveRef?: "#";
  $recursiveAnchor?: boolean;
  $vocabulary?: Record<string, boolean>;
  $comment?: string;
  $defs?: Record<string, Draft201909Schema>;
  additionalItems?: Draft201909Schema;
  unevaluatedItems?: Draft201909Schema;
  items?: Draft201909Schema | Draft201909Schema[];
  contains?: Draft201909Schema;
  additionalProperties?: Draft201909Schema;
  unevaluatedProperties?: Draft201909Schema;
  properties?: Record<string, Draft201909Schema>;
  patternProperties?: Record<string, Draft201909Schema>;
  dependentSchemas?: Record<string, Draft201909Schema>;
  propertyNames?: Draft201909Schema;
  if?: Draft201909Schema;
  then?: Draft201909Schema;
  else?: Draft201909Schema;
  allOf?: Draft201909Schema[];
  anyOf?: Draft201909Schema[];
  oneOf?: Draft201909Schema[];
  not?: Draft201909Schema;
  multipleOf?: number;
  maximum?: number;
  exclusiveMaximum?: number;
  minimum?: number;
  exclusiveMinimum?: number;
  maxLength?: number;
  minLength?: number;
  pattern?: string;
  maxItems?: number;
  minItems?: number;
  uniqueItems?: boolean;
  maxContains?: number;
  minContains?: number;
  maxProperties?: number;
  minProperties?: number;
  required?: string[];
  dependentRequired?: Record<string, string[]>;
  const?: Json;
  enum?: Json[];
  type?: JsonType | JsonType[];
  title?: string;
  description?: string;
  default?: Json;
  deprecated?: boolean;
  readOnly?: boolean;
  writeOnly?: boolean;
  examples?: Json[];
  format?: "date-time" | "date" | "time" | "duration" | "email" | "idn-email" | "hostname" | "idn-hostname" | "ipv4" | "ipv6" | "uri" | "uri-reference" | "iri" | "iri-reference" | "uuid" | "uri-template" | "json-pointer" | "relative-json-pointer" | "regex";
  contentMediaType?: string;
  contentEncoding?: string;
  contentSchema?: Draft201909Schema;
};
